diff --git a/doc/src/sgml/ref/alter_table.sgml b/doc/src/sgml/ref/alter_table.sgml
index 41acda0..c02dc38 100644
*** a/doc/src/sgml/ref/alter_table.sgml
--- b/doc/src/sgml/ref/alter_table.sgml
***************
*** 85,90 **** ALTER TABLE [ IF EXISTS ] <replaceable class="parameter">name</replaceable>
--- 85,104 ----
      OWNER TO { <replaceable class="parameter">new_owner</replaceable> | CURRENT_USER | SESSION_USER }
      REPLICA IDENTITY { DEFAULT | USING INDEX <replaceable class="parameter">index_name</replaceable> | FULL | NOTHING }
  
+ <phrase>and <replaceable class="parameter">column_constraint</replaceable> is:</phrase>
+ 
+ [ CONSTRAINT <replaceable class="parameter">constraint_name</replaceable> ]
+ { NOT NULL |
+   NULL |
+   CHECK ( <replaceable class="parameter">expression</replaceable> ) [ NO INHERIT ] |
+   DEFAULT <replaceable>default_expr</replaceable> |
+   GENERATED { ALWAYS | BY DEFAULT } AS IDENTITY [ ( <replaceable>sequence_options</replaceable> ) ] |
+   UNIQUE <replaceable class="parameter">index_parameters</replaceable> |
+   PRIMARY KEY <replaceable class="parameter">index_parameters</replaceable> |
+   REFERENCES <replaceable class="parameter">reftable</replaceable> [ ( <replaceable class="parameter">refcolumn</replaceable> ) ] [ MATCH FULL | MATCH PARTIAL | MATCH SIMPLE ]
+     [ ON DELETE <replaceable class="parameter">action</replaceable> ] [ ON UPDATE <replaceable class="parameter">action</replaceable> ] }
+ [ DEFERRABLE | NOT DEFERRABLE ] [ INITIALLY DEFERRED | INITIALLY IMMEDIATE ]
+ 
  <phrase>and <replaceable class="parameter">table_constraint</replaceable> is:</phrase>
  
  [ CONSTRAINT <replaceable class="parameter">constraint_name</replaceable> ]
